Subject: [[email-masked]: CNRP -- own port]

From: Michael Mealling <[email-masked]>
Date: Thu, 18 May 2000 09:35:41 -0400

This is being forwarded by me to the list due to it being sent while
the anti-spam measures were being setup. Sorry for the delay...

----- Forwarded message from Leslie Daigle <[email-masked]> -----

Date: Tue, 16 May 2000 11:35:40 -0400
From: Leslie Daigle <[email-masked]>
Subject: CNRP -- own port
To: Michael Mealling <[email-masked]>, [email-masked]
Organization: Thinking Cat Enterprises
X-Mailer: Mozilla 4.72 [en] (Win98; U)
X-Accept-Language: en

Howdy,

Having perused Keith's recent document:

        draft-moore-using-http-00.txt

there are some good reasons for which I think we _should_ get a
port specifically for CNRP:

[Keith Moore wrote, in draft-moore-using-http-00.txt:]
> 3. Issues Regarding Reuse of Port 80
>
>      IANA has reserved TCP port number 80 for use by HTTP.  It would not
> be appropriate for a substantially new service, even one which uses HTTP
> as a substrate, to usurp port 80 from its traditional use.   A new use
> of HTTP might be considered a "substantially new service", thus
> requiring a new port, if any of the following are true:
>
> o    The "new service" and traditional HTTP service are likely to
>      reference different sets of data, even when they both operate on
>      the same host.
>
> o    There is a good reason for the "new service" to be implemented by a
>      separate server process, or separate code, than traditional HTTP
>      service on the same host, at least on some platforms.
>
> o    There is a good reason to want to easily distinguish the traffic of
>      the "new service" from traditional HTTP, e.g. for the purposes of
>      firewall access control or traffic analysis.

Leslie.

--

-------------------------------------------------------------------
"My body obeys Aristotelian laws of physics."
   -- ThinkingCat

Leslie Daigle
[email-masked]
-------------------------------------------------------------------

----- End forwarded message -----

--
--------------------------------------------------------------------------------
Michael Mealling        |      Vote Libertarian!       | www.rwhois.net/michael
Sr. Research Engineer   |   www.ga.lp.org/gwinnett     | ICQ#:         14198821
Network Solutions       |          www.lp.org          |  [email-masked]